<div class="background">
    <div id="register">
        <mat-card>
            <mat-card-content>

                <h1>Edit Playlist</h1>

                <form [formGroup]="form" (ngSubmit)="onSubmit()">

                    <mat-form-field class="full-width-input" appearance="outline" color="accent"> 
                        <mat-label>Name</mat-label>
                        <input matInput type="name" placeholder="Name" formControlName="name">
                        <mat-error>
                        Please provide a valid name
                        </mat-error>
                    </mat-form-field>

                    <mat-form-field class="full-width-input" appearance="outline"  color="accent">
                        <mat-label>Picture URL</mat-label>
                        <input matInput placeholder="Picture URL" formControlName="pictureUrl">
                    </mat-form-field>

                    <div class="form-group">
                        <button mat-raised-button color="accent" [disabled]="loading">
                            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                        Save
                        </button>
                        <button mat-raised-button color="warn" (click)="cancel()">Cancel</button>
                    </div>

                </form>
            </mat-card-content>
        </mat-card>

    </div>
</div>
